Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.rendezvous
Interface PilotManager<Identifier>

Type Parameters:
  `Identifier` -

All Known Implementing Classes:
  RendezvousTransportLayerImpl

    public interface PilotManager<Identifier>

Used by NATted nodes. Normally this would be notified of all changes to the leafset involving non-NATted nodes.

Author:
  Jeff Hoye

Method Summary
`void` | `addIncomingPilotListener(IncomingPilotListener<Identifier> listener)`
`void` | `addOutgoingPilotListener(OutgoingPilotListener<Identifier> listener)`
`void` | `closePilot(Identifier i)` Tells the manager that the pilot to the Identifier is no longer useful
`SocketRequestHandle<Identifier>` | `openPilot(Identifier i, Continuation<SocketRequestHandle<Identifier>,java.lang.Exception> deliverAckToMe)` Tells the manager to open a pilot to the Identifier
`void` | `removeIncomingPilotListener(IncomingPilotListener<Identifier> listener)`
`void` | `removeOutgoingPilotListener(OutgoingPilotListener<Identifier> listener)`

Method Detail

### openPilot

    SocketRequestHandle<Identifier> openPilot(Identifier i,
                                              Continuation<SocketRequestHandle<Identifier>,java.lang.Exception> deliverAckToMe)

  Tells the manager to open a pilot to the Identifier

  Parameters:
    `i` -
    `deliverAckToMe` - optional
  Returns:

### closePilot

    void closePilot(Identifier i)

  Tells the manager that the pilot to the Identifier is no longer useful

  Parameters:
    `i` -
    `deliverAckToMe` - optional

### addOutgoingPilotListener

    void addOutgoingPilotListener(OutgoingPilotListener<Identifier> listener)

### removeOutgoingPilotListener

    void removeOutgoingPilotListener(OutgoingPilotListener<Identifier> listener)

### addIncomingPilotListener

    void addIncomingPilotListener(IncomingPilotListener<Identifier> listener)

### removeIncomingPilotListener

    void removeIncomingPilotListener(IncomingPilotListener<Identifier> listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.